List all the asset Geofence events

Purpose: Use this API to view all the Geofence events pertaining to your assets.

Response Parameters

Geofence Event

  • Type: Object
  • Description: Contains details of a specific geofence event.

id

  • Type: Integer
  • Description: The unique identifier for the geofence event.

geofence_id

  • Type: Integer
  • Description: The unique identifier for the geofence associated with the event.

start_time

  • Type: String
  • Description: The start time of the geofence event.

end_time

  • Type: String
  • Description: The end time of the geofence event.

duration

  • Type: Integer
  • Description: The duration of the geofence event in seconds.

asset

  • Type: Object
  • Description: Details about the asset involved in the geofence event.

id

  • Type: Integer
  • Description: The unique identifier for the asset.

name

  • Type: String
  • Description: The name of the asset.

status

  • Type: String
  • Description: The status of the asset.

type

  • Type: String
  • Description: The type of asset.

vin

  • Type: String
  • Description: The vehicle identification number (VIN) of the asset, if applicable.

license_plate_state

  • Type: String
  • Description: The state of the license plate of the asset, if applicable.

license_plate_number

  • Type: String
  • Description: The license plate number of the asset, if applicable.

make

  • Type: String
  • Description: The make of the asset.

model

  • Type: String
  • Description: The model of the asset.

year

  • Type: String
  • Description: The year the asset was manufactured.

axle

  • Type: Integer
  • Description: The number of axles on the asset, if applicable.

weight_metric_units

  • Type: Boolean
  • Description: Indicates if the asset's weight is measured in metric units.

length_metric_units

  • Type: Boolean
  • Description: Indicates if the asset's length is measured in metric units.

asset.leased

  • Type: Boolean
  • Description: Indicates if the asset is leased.

notes

  • Type: String
  • Description: Additional notes about the asset.

length

  • Type: Float
  • Description: The length of the asset, if applicable.

gvwr

  • Type: Integer
  • Description: The gross vehicle weight rating (GVWR) of the asset.

gawr

  • Type: Integer
  • Description: The gross axle weight rating (GAWR) of the asset.

asset_gateway

  • Type: Object
  • Description: Details about the asset's gateway.

id

  • Type: Integer
  • Description: The unique identifier for the asset gateway.

identifier

  • Type: String
  • Description: The identifier of the asset gateway.

active

  • Type: Boolean
  • Description: Indicates if the asset gateway is active.

external_ids

  • Type: Array of Strings
  • Description: External identifiers associated with the asset.

Query Params
date

Specify the date from when you want to view the Geofence events. Default: TODAY - 7 DAYS AGO

date

Specify the end time till when you want to view the Geofence events. Default: TODAY

geofence_ids[]
array of int32s

Specify a list of the Geofence IDs to view their events.

geofence_ids[]
asset_ids[]
array of int32s

Specify a group of asset IDs to view the corresponding Geofence events.

asset_ids[]
date

Specify the events that you want to view that were updated after a certain date.

int32
Defaults to 25

Denotes the number of records per page.

int32
Defaults to 1

The current page number.

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json